NumericEntityUnescaper.OPTION (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.text.translate, class: NumericEntityUnescaper, enum: OPTION

# Enum NumericEntityUnescaper.OPTION

java.lang.Object
java.lang.Enum<NumericEntityUnescaper.OPTION>
org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION

All Implemented Interfaces:
  `Serializable, Comparable<NumericEntityUnescaper.OPTION>`

Enclosing class:
  `NumericEntityUnescaper`

@Deprecated public static enum NumericEntityUnescaper.OPTION extends Enum<NumericEntityUnescaper.OPTION>
Deprecated.
As of 3.18.0, use Apache Commons Text NumericEntityUnescaper.OPTION.
Enumerates NumericEntityUnescaper options for unescaping.

Since:
  3.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `errorIfNoSemiColon`
  Deprecated.
  Throw an exception if a semicolon is missing.
  `semiColonOptional`
  Deprecated.
  Do not require a semicolon.
  `semiColonRequired`
  Deprecated.
  Require a semicolon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumericEntityUnescaper.OPTION`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this type with the specified name.
  `static NumericEntityUnescaper.OPTION[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### semiColonRequired

    public static final NumericEntityUnescaper.OPTION semiColonRequired
    Deprecated.
    Require a semicolon.

  - ### semiColonOptional

    public static final NumericEntityUnescaper.OPTION semiColonOptional
    Deprecated.
    Do not require a semicolon.

  - ### errorIfNoSemiColon

    public static final NumericEntityUnescaper.OPTION errorIfNoSemiColon
    Deprecated.
    Throw an exception if a semicolon is missing.

- ## Method Details

  - ### values

    public static NumericEntityUnescaper.OPTION[] values()
    Deprecated.
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NumericEntityUnescaper.OPTION valueOf(String name)
    Deprecated.
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null